Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(41)

Issue 2171063002: Notify the Blink client synchronously if the initial doc is accessed. (Closed)

Created:
3 years, 4 months ago by Charlie Reis
Modified:
3 years, 4 months ago
Reviewers:
dglazkov, dcheng
CC:
blink-reviews, blink-reviews-api_chromium.org, chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, dglazkov+blink, gavinp+loader_chromium.org, jam, Nate Chapin, kinuko+watch, loading-reviews_chromium.org, mlamouri+watch-content_chromium.org, nasko+codewatch_chromium.org, tyoshino+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Notify the Blink client synchronously if the initial doc is accessed. This avoids problems with the timer being delayed by nested message loops and ScopedPageLoadDeferrers, where code in the nested message loop might access the document and not generate a notification. The timer was originally added to prevent re-entrant calls to V8, but that can now be prevented with ScriptForbiddenScope. BUG=629542 TEST=See bug for repro steps. Committed: https://crrev.com/00314989401bfee5ffcb5e579162071c86e72f61 Cr-Commit-Position: refs/heads/master@{#407269}

Patch Set 1 #

Patch Set 2 : Forbid scripts. #

Total comments: 6

Patch Set 3 : Fix comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+20 lines, -38 lines) Patch
M content/renderer/render_frame_impl.cc View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.h View 2 chunks +4 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 2 chunks +5 lines, -16 lines 0 comments Download
M third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp View 1 chunk +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/web/tests/WebFrameTest.cpp View 1 2 chunks +8 lines, -8 lines 0 comments Download

Messages

Total messages: 32 (20 generated)
Charlie Reis
Daniel, what do you think? Is this safer than what we have today? (This is ...
3 years, 4 months ago (2016-07-21 23:14:11 UTC) #4
dcheng
Maybe we could throw a ScriptForbiddenScope on the stack if we're worried about re-entering v8. ...
3 years, 4 months ago (2016-07-22 03:36:28 UTC) #7
Charlie Reis
On 2016/07/22 03:36:28, dcheng wrote: > Maybe we could throw a ScriptForbiddenScope on the stack ...
3 years, 4 months ago (2016-07-22 06:13:41 UTC) #10
dcheng
PS2 LGTM assuming the bots are happy. https://codereview.chromium.org/2171063002/diff/20001/third_party/WebKit/Source/core/loader/FrameLoader.cpp File third_party/WebKit/Source/core/loader/FrameLoader.cpp (right): https://codereview.chromium.org/2171063002/diff/20001/third_party/WebKit/Source/core/loader/FrameLoader.cpp#newcode1063 third_party/WebKit/Source/core/loader/FrameLoader.cpp:1063: // Notify ...
3 years, 4 months ago (2016-07-22 06:22:03 UTC) #11
dglazkov
https://codereview.chromium.org/2171063002/diff/20001/third_party/WebKit/Source/core/loader/FrameLoaderClient.h File third_party/WebKit/Source/core/loader/FrameLoaderClient.h (right): https://codereview.chromium.org/2171063002/diff/20001/third_party/WebKit/Source/core/loader/FrameLoaderClient.h#newcode129 third_party/WebKit/Source/core/loader/FrameLoaderClient.h:129: virtual void didAccessInitialDocument() { } The only user of ...
3 years, 4 months ago (2016-07-22 14:32:10 UTC) #15
Charlie Reis
Thanks. I like the new approach with ScriptForbiddenScope-- it accomplishes the original goal (no V8 ...
3 years, 4 months ago (2016-07-22 16:41:44 UTC) #19
dglazkov
lgtm
3 years, 4 months ago (2016-07-22 16:42:44 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2171063002/40001
3 years, 4 months ago (2016-07-22 16:44:44 UTC) #24
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/267553)
3 years, 4 months ago (2016-07-22 18:04:05 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2171063002/40001
3 years, 4 months ago (2016-07-22 18:08:25 UTC) #28
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 4 months ago (2016-07-22 21:38:35 UTC) #30
commit-bot: I haz the power
3 years, 4 months ago (2016-07-22 21:40:23 UTC) #32
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/00314989401bfee5ffcb5e579162071c86e72f61
Cr-Commit-Position: refs/heads/master@{#407269}

Powered by Google App Engine
This is Rietveld 408576698